Skip to main content
GET
/
api
/
v3
/
admin
/
custom_field_definitions
/
{id}
Show a custom field definition
const options = {
  method: 'GET',
  headers: {'x-spree-api-key': '<api-key>', Authorization: 'Bearer <token>'}
};

fetch('http://{defaultHost}/api/v3/admin/custom_field_definitions/{id}', options)
  .then(res => res.json())
  .then(res => console.log(res))
  .catch(err => console.error(err));
{
  "id": "cfdef_UkLWZg9DAJ",
  "namespace": "specs",
  "key": "fabric",
  "label": "Title",
  "field_type": "short_text",
  "resource_type": "Spree::Product",
  "storefront_visible": true,
  "created_at": "2026-05-24T17:36:37.410Z",
  "updated_at": "2026-05-24T17:36:37.410Z"
}

Documentation Index

Fetch the complete documentation index at: https://spreecommerce.org/docs/llms.txt

Use this file to discover all available pages before exploring further.

Authorizations

x-spree-api-key
string
header
required

Secret API key for admin access

Authorization
string
header
required

JWT token for admin user authentication

Headers

x-spree-api-key
string
required
Authorization
string
required

Path Parameters

id
string
required

Query Parameters

expand
string

Comma-separated associations to expand. Use dot notation for nested expand (max 4 levels).

fields
string

Comma-separated list of fields to include (e.g., key,label,field_type). id is always included.

Response

200 - application/json

definition found